Canadian Mac Forums at ehMac banner

1 - 6 of 6 Posts

·
Registered
Joined
·
145 Posts
Discussion Starter · #1 ·
Hello al
I have read previous threads here on this topic and while they are old - latest I saw 2015 - I think an upgrade to Mavericks is what I want to try on a MB originally running 10.4 and now running 10.6.8 . 3GB RAM. The main reason is I can't install adblockers on my versions of Safari and Firefox to protect this MB from grandchild predation. And I can't upgrade them on anything older than 10.9.

Where can I get a reliable version of Mavericks for download? Appstore is no longer an option as far as I've been able to get.

Thanks
David
 

·
Premium Member
Joined
·
1,789 Posts
You can download Yosemite or newer directly from Apple at this link (use Safari).

How to get old versions of macOS

I'd recommend El Capitan, since Firefox still supports it.
 

·
Premium Member
Joined
·
1,789 Posts
If you need an adblocker for Firefox in Snow Leopard you can try UBlock Origin. There is a Firefox Legacy version that works with these old versions of Firefox.


I used that when I was using Snow Leopard, and it works well. You could also try the Arctic Fox web browser. It's designed to work with older OS versions like Snow Leopard, and may work better on some sites.

If your MacBook supports El Capitan I would upgrade to that. Mavericks doesn't support the latest version of Firefox, so you'll have to install an older version that's already dead in the water with no new security updates. Even with El Capitan, Firefox will no longer provide security updates after this summer.
 

·
Premium Member
Joined
·
15,604 Posts
I think an upgrade to Mavericks is what I want to try on a MB originally running 10.4 and now running 10.6.8 .

I would suggest that you go here and check and see if your MacBook can actually run the Mac OS version you would like to try:

Select your particular model and check the maximum OS version it can run.

- Patrick
=======
 

·
Registered
Joined
·
145 Posts
Discussion Starter · #6 ·
Thanks all. Again.
Questions answered and more.
I think what I'll do immediately is try the gorhill/ublock. Then I'll look at ArcticFox browser.

How to get old versions of macOS is handy. Looks like my MB as originally configured won't support ElCapitan. Not sure what the limiting factor is. RAM?


everymac.com us a very impressive site. Apparently I can upgrade RAM to 6GB using unmatched (2 and 4) modules. I have got stuff from CanadaRam before and found them very good.
David
 
1 - 6 of 6 Posts
Top